Create a a new db_address usable for a company
Request Information
URI Parameters :
None.
Body Parameters :
db_address| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary key |
globally unique identifier | |
| company_id |
The company owner of this address |
globally unique identifier |
Optionally required : company_id, company_code or company must be provided |
| company_code |
Embedded entity "company" using ERP PK when adding/updating address |
string |
Optionally required : company_id, company_code or company must be provided |
| company |
Embedded entity "company" when adding/updating address |
company |
Optionally required : company_id, company_code or company must be provided |
| db_address_type_id |
Foreign key to the db_address_type. Please use controller DbAddressType to find the correct it to use |
globally unique identifier | |
| code |
Field used for Embedded entity (store there your ERP PK) |
string | |
| archived |
You cannot delete an address. The only way is to archive it. |
boolean | |
| name |
Name of the address |
string | |
| street |
Street |
string |
Max length: 100 |
| street_number |
Street number. Can be not used |
string |
Max length: 50 |
| zip |
Zip code |
string |
Max length: 50 |
| city |
City |
string |
Max length: 50 |
| phone |
Phone number |
string | |
| mobile |
Cell phone number |
string | |
| fax |
Fax number |
string | |
|
Email address |
string |
Max length: 250 |
|
| url |
Url |
string | |
| db_country_id |
Foreign key to table Country |
globally unique identifier | |
| db_country_code |
CountryCode entity using international code when adding/updating company |
string | |
| street2 |
Additional information on the address not part of the postal address |
string |
Max length: 50 |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Request Formats :
application/json, text/json
{
"id": "b4f5ff60-ed0d-4857-bde7-06c2c9edd06e",
"company_id": "9f604784-7b5f-4620-be9f-cc37c82b81db",
"company_code": "sample string 3",
"db_address_type_id": "2bdb86e9-e801-4e96-a161-e553ebda6ccf",
"code": "sample string 5",
"archived": true,
"name": "sample string 7",
"street": "sample string 8",
"street_number": "sample string 9",
"zip": "sample string 10",
"city": "sample string 11",
"phone": "sample string 12",
"mobile": "sample string 13",
"fax": "sample string 14",
"email": "sample string 15",
"url": "sample string 16",
"db_country_id": "2d9b60bc-1b92-4da8-a5d3-7dbe20d3c855",
"db_country_code": "sample string 18",
"street2": "sample string 19",
"modified_dateutc": "2026-10-10T05:10:33.7428102+00:00"
}
Response Information
Resource Description :
db_address| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary key |
globally unique identifier | |
| company_id |
The company owner of this address |
globally unique identifier |
Optionally required : company_id, company_code or company must be provided |
| company_code |
Embedded entity "company" using ERP PK when adding/updating address |
string |
Optionally required : company_id, company_code or company must be provided |
| company |
Embedded entity "company" when adding/updating address |
company |
Optionally required : company_id, company_code or company must be provided |
| db_address_type_id |
Foreign key to the db_address_type. Please use controller DbAddressType to find the correct it to use |
globally unique identifier | |
| code |
Field used for Embedded entity (store there your ERP PK) |
string | |
| archived |
You cannot delete an address. The only way is to archive it. |
boolean | |
| name |
Name of the address |
string | |
| street |
Street |
string |
Max length: 100 |
| street_number |
Street number. Can be not used |
string |
Max length: 50 |
| zip |
Zip code |
string |
Max length: 50 |
| city |
City |
string |
Max length: 50 |
| phone |
Phone number |
string | |
| mobile |
Cell phone number |
string | |
| fax |
Fax number |
string | |
|
Email address |
string |
Max length: 250 |
|
| url |
Url |
string | |
| db_country_id |
Foreign key to table Country |
globally unique identifier | |
| db_country_code |
CountryCode entity using international code when adding/updating company |
string | |
| street2 |
Additional information on the address not part of the postal address |
string |
Max length: 50 |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
{
"id": "1cbb2b4a-3418-43d4-b6c8-1ab98303cca2",
"company_id": "061011a5-fd35-4fdd-8478-8eb775be134a",
"company_code": "sample string 3",
"db_address_type_id": "520e4940-3ff2-4338-b648-87729ac371b5",
"code": "sample string 5",
"archived": true,
"name": "sample string 7",
"street": "sample string 8",
"street_number": "sample string 9",
"zip": "sample string 10",
"city": "sample string 11",
"phone": "sample string 12",
"mobile": "sample string 13",
"fax": "sample string 14",
"email": "sample string 15",
"url": "sample string 16",
"db_country_id": "8f8ee109-bc34-43a5-9d0c-5e49381f8257",
"db_country_code": "sample string 18",
"street2": "sample string 19",
"modified_dateutc": "2026-10-10T05:10:33.7428102+00:00"
}